Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Interface AddressingConstants

    public interface AddressingConstants

Encapsulation of version-specific WS-Addressing constants.

Method Summary
`javax.xml.namespace.QName` | `getActionNotSupportedQName()`
`java.lang.String` | `getActionNotSupportedText()`
`javax.xml.namespace.QName` | `getActionQName()`
`javax.xml.namespace.QName` | `getAddressQName()`
`java.lang.String` | `getAnonymousURI()`
`java.lang.String` | `getDefaultFaultAction()`
`javax.xml.namespace.QName` | `getDestinationUnreachableQName()`
`java.lang.String` | `getDestinationUnreachableText()`
`java.lang.String` | `getDuplicateMessageIDText()`
`javax.xml.namespace.QName` | `getEndpointUnavailableQName()`
`java.lang.String` | `getEndpointUnavailableText()`
`javax.xml.namespace.QName` | `getFaultToQName()`
`javax.xml.namespace.QName` | `getFromQName()`
`javax.xml.namespace.QName` | `getInvalidMapQName()`
`java.lang.String` | `getInvalidMapText()`
`javax.xml.namespace.QName` | `getIsReferenceParameterQName()`
`javax.xml.namespace.QName` | `getMapRequiredQName()`
`java.lang.String` | `getMapRequiredText()`
`javax.xml.namespace.QName` | `getMessageIDQName()`
`javax.xml.namespace.QName` | `getMetadataQName()`
`java.lang.String` | `getNamespacePrefix()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNoneURI()`
`java.lang.String` | `getPackageName()`
`javax.xml.namespace.QName` | `getRelatesToQName()`
`java.lang.String` | `getRelationshipReply()`
`javax.xml.namespace.QName` | `getRelationshipTypeQName()`
`javax.xml.namespace.QName` | `getReplyToQName()`
`javax.xml.namespace.QName` | `getToQName()`
`javax.xml.namespace.QName` | `getWSDLActionQName()`
`javax.xml.namespace.QName` | `getWSDLExtensibilityQName()`
`java.lang.String` | `getWSDLNamespacePrefix()`
`java.lang.String` | `getWSDLNamespaceURI()`

Method Detail

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns:
    namespace defined by the normative WS-Addressing Core schema

### getNamespacePrefix

    java.lang.String getNamespacePrefix()

  Returns:
    prefix associated with the WS-Addressing namespace

### getWSDLNamespaceURI

    java.lang.String getWSDLNamespaceURI()

  Returns:
    namespace defined by the normative WS-Addressing WSDL bindings schema

### getWSDLNamespacePrefix

    java.lang.String getWSDLNamespacePrefix()

  Returns:
    prefix associated with the WS-Addressing WSDL bindings schema

### getWSDLExtensibilityQName

    javax.xml.namespace.QName getWSDLExtensibilityQName()

  Returns:
    QName of the WSDL extensiblity element

### getWSDLActionQName

    javax.xml.namespace.QName getWSDLActionQName()

  Returns:
    QName of the wsaw:Action element

### getAnonymousURI

    java.lang.String getAnonymousURI()

  Returns:
    Anonymous address URI

### getNoneURI

    java.lang.String getNoneURI()

  Returns:
    None address URI

### getFromQName

    javax.xml.namespace.QName getFromQName()

  Returns:
    QName of the From addressing header

### getToQName

    javax.xml.namespace.QName getToQName()

  Returns:
    QName of the To addressing header

### getReplyToQName

    javax.xml.namespace.QName getReplyToQName()

  Returns:
    QName of the ReplyTo addressing header

### getFaultToQName

    javax.xml.namespace.QName getFaultToQName()

  Returns:
    QName of the FaultTo addressing header

### getActionQName

    javax.xml.namespace.QName getActionQName()

  Returns:
    QName of the Action addressing header

### getMessageIDQName

    javax.xml.namespace.QName getMessageIDQName()

  Returns:
    QName of the MessageID addressing header

### getRelationshipReply

    java.lang.String getRelationshipReply()

  Returns:
    Default value for RelationshipType indicating a reply to the related message

### getRelatesToQName

    javax.xml.namespace.QName getRelatesToQName()

  Returns:
    QName of the RelatesTo addressing header

### getRelationshipTypeQName

    javax.xml.namespace.QName getRelationshipTypeQName()

  Returns:
    QName of the Relationship addressing header

### getMetadataQName

    javax.xml.namespace.QName getMetadataQName()

  Returns:
    QName of the Metadata

### getAddressQName

    javax.xml.namespace.QName getAddressQName()

  Returns:
    QName of the Address

### getPackageName

    java.lang.String getPackageName()

  Returns:
    package name of the implementation

### getIsReferenceParameterQName

    javax.xml.namespace.QName getIsReferenceParameterQName()

  Returns:
    QName of the reference parameter marker

### getInvalidMapQName

    javax.xml.namespace.QName getInvalidMapQName()

  Returns:
    QName of the Invalid Message Addressing Property fault subcode

### getMapRequiredQName

    javax.xml.namespace.QName getMapRequiredQName()

  Returns:
    QName of the Message Addressing Property Required fault subcode

### getDestinationUnreachableQName

    javax.xml.namespace.QName getDestinationUnreachableQName()

  Returns:
    QName of the Destination Unreachable fault subcode

### getActionNotSupportedQName

    javax.xml.namespace.QName getActionNotSupportedQName()

  Returns:
    QName of the Action Not Supported fault subcode

### getEndpointUnavailableQName

    javax.xml.namespace.QName getEndpointUnavailableQName()

  Returns:
    QName of the Endpoint Unavailable fault subcode

### getDefaultFaultAction

    java.lang.String getDefaultFaultAction()

  Returns:
    Default Fault Action

### getActionNotSupportedText

    java.lang.String getActionNotSupportedText()

  Returns:
    Action Not Supported text

### getDestinationUnreachableText

    java.lang.String getDestinationUnreachableText()

  Returns:
    Destination Unreachable text

### getEndpointUnavailableText

    java.lang.String getEndpointUnavailableText()

  Returns:
    Endpoint Unavailable text

### getInvalidMapText

    java.lang.String getInvalidMapText()

  Returns:
    Invalid Message Addressing Property text

### getMapRequiredText

    java.lang.String getMapRequiredText()

  Returns:
    Message Addressing Property Required text

### getDuplicateMessageIDText

    java.lang.String getDuplicateMessageIDText()

  Returns:
    Duplicate Message ID text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.